From: "Kent Fredric" <kentnl@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-perl/Net-RBLClient/
Date: Sat, 16 Dec 2017 10:53:42 +0000 (UTC) [thread overview]
Message-ID: <1513421576.d1614f05077ba25d4774b0b4c45d0de027ba6031.kentnl@gentoo> (raw)
commit: d1614f05077ba25d4774b0b4c45d0de027ba6031
Author: Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 15 07:10:04 2017 +0000
Commit: Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Sat Dec 16 10:52:56 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d1614f05
dev-perl/Net-RBLClient: EAPI6 + tests
- EAPI6ify
- Enable tests
- Add basic compile test
Package-Manager: Portage-2.3.18, Repoman-2.3.6
.../Net-RBLClient/Net-RBLClient-0.500.0-r2.ebuild | 41 ++++++++++++++++++++++
1 file changed, 41 insertions(+)
diff --git a/dev-perl/Net-RBLClient/Net-RBLClient-0.500.0-r2.ebuild b/dev-perl/Net-RBLClient/Net-RBLClient-0.500.0-r2.ebuild
new file mode 100644
index 00000000000..e2a1ebaa019
--- /dev/null
+++ b/dev-perl/Net-RBLClient/Net-RBLClient-0.500.0-r2.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DIST_AUTHOR=ABLUM
+DIST_VERSION=0.5
+inherit perl-module
+
+DESCRIPTION="Queries multiple Realtime Blackhole Lists in parallel"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND="virtual/perl-Time-HiRes
+ dev-perl/Net-DNS"
+
+S=${WORKDIR}/RBLCLient-${DIST_VERSION} # second capitialized 'l' is deliberate
+
+src_test() {
+ local MODULES=(
+ "Net::RBLClient 0.4"
+ )
+ local failed=()
+ for dep in "${MODULES[@]}"; do
+ ebegin "Compile testing ${dep}"
+ perl -Mblib="${S}" -M"${dep} ()" -e1
+ eend $? || failed+=( "$dep" )
+ done
+ if [[ ${failed[@]} ]]; then
+ echo
+ eerror "One or more modules failed compile:";
+ for dep in "${failed[@]}"; do
+ eerror " ${dep}"
+ done
+ die "Failing due to module compilation errors";
+ fi
+ perl-module_src_test
+}
next reply other threads:[~2017-12-16 10:53 UTC|newest]
Thread overview: 9+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-12-16 10:53 Kent Fredric [this message]
-- strict thread matches above, loose matches on Subject: below --
2018-07-22 9:01 [gentoo-commits] repo/gentoo:master commit in: dev-perl/Net-RBLClient/ Sergei Trofimovich
2018-07-22 14:51 Thomas Deutschmann
2018-07-23 6:19 Sergei Trofimovich
2018-07-27 7:12 Sergei Trofimovich
2018-09-08 5:30 Mikle Kolyada
2020-04-15 12:29 Kent Fredric
2021-04-25 5:19 Sam James
2021-07-15 21:37 Andreas K. Hüttel
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1513421576.d1614f05077ba25d4774b0b4c45d0de027ba6031.kentnl@gentoo \
--to=kentnl@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox